[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnStartDock

Event handler for the start of a docking operation.

## Declaration

Source position: controls.pp line 1600

`protected property TControl.OnStartDock : TStartDockEvent read FOnStartDock write FOnStartDock;`

## Description

The handler can provide a special DragDock object, otherwise a default object is created.

## See also

TControl.OnStartDrag |  | Event handler signalled for the start of a dragging operation.
TDragDockObject |  | A drag object for drag-dock.